ldns(3)

NAME
ldns_rr_list_new, ldns_rr_list_free - ldns_rr_list creation and destruction

SYNOPSIS
#include <stdint.h>
#include <stdbool.h>

#include <ldns/ldns.h>

ldns_rr_list* ldns_rr_list_new(void);

void ldns_rr_list_free(ldns_rr_list *rr_list);

DESCRIPTION

ldns_rr_list_new() creates a new rr_list structure. .br Returns a new rr_list structure

ldns_rr_list_free() frees an rr_list structure. .br rr_list: the list to free

AUTHOR
The ldns team at NLnet Labs.

REPORTING BUGS
Please report bugs to ldns-team@nlnetlabs.nl or in our bugzilla at http://www.nlnetlabs.nl/bugs/index.html

COPYRIGHT
Copyright (c) 2004 - 2006 NLnet Labs.

Licensed under the BSD License. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
ldns_rr, ldns_rr_list. And perldoc Net::DNS, RFC1034, RFC1035, RFC4033, RFC4034 and RFC4035.

REMARKS
This manpage was automatically generated from the ldns source code.